% !TEX root = simtacora.tex
\usepackage[nottoc]{tocbibind}
\usepackage[T1]{fontenc}
\usepackage{hyperref}
\usepackage{amsmath, amssymb, latexsym}
\usepackage{cite}
\usepackage{subcaption}
\usepackage{listings}
\usepackage[dvipsnames]{xcolor}
\usepackage[font = {small,sf}, labelfont = {bf}, labelsep = endash]{caption}
\usepackage{sansmath}
\usepackage[acronym]{glossaries}
\usepackage{dirtree}
\usepackage{tikz}
\usepackage{textcomp} % lstlisting

\renewcommand{\familydefault}{cmss}
\renewcommand{\seriesdefault}{m}
\renewcommand{\shapedefault}{n}
\renewcommand{\thefootnote}{\arabic{footnote}}
\renewcommand{\figurename}{Fig.}
\renewcommand{\refname}{Referencias}

\setlength{\textwidth}{17cm}
\setlength{\textheight}{20cm}
\setlength{\evensidemargin}{0.0cm}
\setlength{\oddsidemargin}{0.0cm}

\hypersetup{
    colorlinks,
    linkcolor={red!50!black},
    citecolor={blue!50!black},
    urlcolor={blue!80!black}
}

% TODO: Incluir parámetros de funciones dentro de las palabras resaltadas.
\lstset{frame=tb,
  language=Python,
  aboveskip=3mm,
  belowskip=3mm,
  showstringspaces=false,
  columns=flexible,
  basicstyle={\small\ttfamily},
  numbers=left,
  numberstyle=\tiny\color{gray},
  keywordstyle=\color{Plum},
  commentstyle=\color{Gray},
  stringstyle=\color{OliveGreen},
  breaklines=true,
  breakatwhitespace=true,
  tabsize=4,
  upquote=true
}

\renewcommand\contentsname{Contenido}
\renewcommand\lstlistingname{Código}
\renewcommand\figurename{Figura}
